.product-card {
  overflow: hidden;
  width: 25.625rem;
  height: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  container-name: product-card;
  container-type: inline-size; }
  @media screen and (min-width: 160.0625rem) {
    .product-card {
      width: 16.01562vw; } }
  @media screen and (max-width: 106.25rem) {
    .product-card {
      width: 18.75rem; } }
  @media screen and (max-width: 85rem) {
    .product-card {
      width: 20.5625rem; } }
  @media screen and (max-width: 39.375rem) {
    .product-card {
      width: 17.5rem; } }
  .product-card .select-answer {
    top: auto;
    bottom: 100%; }
  .product-card > form {
    position: relative;
    width: 100%;
    height: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: stretch;
        -ms-flex-align: stretch;
            align-items: stretch;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    gap: 1.25rem;
    background-color: var(--bg-white);
    border-radius: var(--radius-common);
    -webkit-transition: -webkit-box-shadow var(--animation-timing) var(--cubic-bezier);
    transition: -webkit-box-shadow var(--animation-timing) var(--cubic-bezier);
    transition: box-shadow var(--animation-timing) var(--cubic-bezier);
    transition: box-shadow var(--animation-timing) var(--cubic-bezier), -webkit-box-shadow var(--animation-timing) var(--cubic-bezier); }
    @media screen and (min-width: 160.0625rem) {
      .product-card > form {
        gap: 0.78125vw; } }
    @media screen and (max-width: 39.375rem) {
      .product-card > form {
        gap: 0.9375rem; } }
    @media (any-hover: hover) {
      .product-card > form:hover .product-card__image img {
        -webkit-transform: scale(1.1);
            -ms-transform: scale(1.1);
                transform: scale(1.1); } }
  .product-card__top {
    position: relative;
    padding: 1.25rem;
    width: 100%;
    height: 31.25rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -ms-flex-negative: 0;
        flex-shrink: 0;
    gap: 4.3125rem;
    border-radius: var(--radius-common);
    border: solid 1px var(--stroke-dark-secondary);
    overflow: hidden;
    background-color: var(--bg-light-extra); }
    @media screen and (min-width: 160.0625rem) {
      .product-card__top {
        padding: 0.78125vw;
        height: 19.53125vw;
        gap: 2.69531vw; } }
    @media screen and (max-width: 106.25rem) {
      .product-card__top {
        padding: 1.25rem 0.9375rem 1.25rem 1.25rem;
        height: 22.875rem;
        gap: 3.6875rem;
        border: 0; } }
    @media screen and (max-width: 85rem) {
      .product-card__top {
        padding: 1.25rem 1.5625rem 1.25rem 1.25rem;
        height: 26.6875rem; } }
    @media screen and (max-width: 39.375rem) {
      .product-card__top {
        padding: 0.9375rem;
        height: 20.375rem; } }
  .product-card__image {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 0;
    width: 100%;
    height: 100%;
    -webkit-user-select: none;
       -moz-user-select: none;
        -ms-user-select: none;
            user-select: none; }
    .product-card__image img,
    .product-card__image picture {
      width: 100%;
      height: 100%;
      -o-object-fit: cover;
         object-fit: cover;
      -o-object-position: center;
         object-position: center;
      pointer-events: none;
      -webkit-transition: -webkit-transform var(--animation-timing-medium) var(--cubic-bezier);
      transition: -webkit-transform var(--animation-timing-medium) var(--cubic-bezier);
      transition: transform var(--animation-timing-medium) var(--cubic-bezier);
      transition: transform var(--animation-timing-medium) var(--cubic-bezier), -webkit-transform var(--animation-timing-medium) var(--cubic-bezier); }
    .product-card__image_crutch {
      padding: 1.25rem;
      background-color: var(--bg-white); }
      .product-card__image_crutch img {
        -o-object-fit: contain;
           object-fit: contain; }
  .product-card__head {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 0.9375rem; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__head {
        gap: 0.58594vw; } }
    @media screen and (max-width: 85rem) {
      .product-card__head {
        gap: 0.625rem; } }
  .product-card__tag-list {
    position: relative;
    z-index: 1;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    place-content: start;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    gap: 0.625rem; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__tag-list {
        gap: 0.39062vw; } }
    @media screen and (max-width: 39.375rem) {
      .product-card__tag-list {
        gap: 0.3125rem; } }
    @media screen and (max-width: 106.25rem) {
      .product-card__tag-list .tag {
        padding: 0.25rem 0.5rem;
        font-size: 0.625rem;
        letter-spacing: 0.0625rem; } }
  @media screen and (max-width: 106.25rem) and (min-width: 160.0625rem) {
    .product-card__tag-list .tag {
      padding: 0.15625vw 0.3125vw;
      font-size: 0.39062vw;
      letter-spacing: 0.03906vw; } }
  .product-card__menu {
    position: relative;
    z-index: 1;
    height: -webkit-fit-content;
    height: -moz-fit-content;
    height: fit-content;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    place-content: start;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    gap: 0.3125rem; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__menu {
        gap: 0.19531vw; } }
    @media screen and (max-width: 106.25rem) {
      .product-card__menu > .button {
        padding: 0.375rem; } }
  .product-card__wishlist.button {
    background-color: var(--bg-white); }
    @media screen and (max-width: 106.25rem) {
      .product-card__wishlist.button {
        width: 2.75rem;
        height: 2.75rem; } }
  @media screen and (max-width: 106.25rem) and (min-width: 160.0625rem) {
    .product-card__wishlist.button {
      width: 1.71875vw;
      height: 1.71875vw; } }
    @media screen and (max-width: 106.25rem) {
        .product-card__wishlist.button .button__icon {
          width: 1.25rem;
          height: 1.25rem; } }
    @media screen and (max-width: 106.25rem) and (min-width: 160.0625rem) {
      .product-card__wishlist.button .button__icon {
        width: 0.78125vw;
        height: 0.78125vw; } }
    .product-card__wishlist.button.active .button__icon, .product-card__wishlist.button.voted .button__icon {
      fill: var(--accent-light-primary); }
    @media (any-hover: hover) {
      .product-card__wishlist.button.active:hover .button__icon, .product-card__wishlist.button.voted:hover .button__icon {
        fill: var(--text-dark-primary); } }
    @media (any-hover: hover) {
      .product-card__wishlist.button.active.animation:hover .button__icon, .product-card__wishlist.button.voted.animation:hover .button__icon {
        fill: var(--elements-white); } }
  .product-card__bottom {
    padding: 0;
    width: 100%;
    height: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    gap: 0.625rem; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__bottom {
        gap: 0.39062vw; } }
    @media screen and (max-width: 106.25rem) {
      .product-card__bottom {
        gap: 0.75rem; } }
    @media screen and (max-width: 85rem) {
      .product-card__bottom {
        gap: 0.625rem; } }
  .product-card__info {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    gap: 0.3125rem; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__info {
        gap: 0.19531vw; } }
  .product-card__weight {
    color: var(--text-dark-secondary);
    font: var(--font-body-xs); }
  .product-card__name {
    display: -webkit-box;
    color: var(--text-dark-primary);
    font: var(--font-card-title-M);
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    -ms-flex-item-align: stretch;
        align-self: stretch;
    text-decoration: none;
    overflow: hidden;
    -webkit-transition: color var(--animation-timing) var(--cubic-bezier);
    transition: color var(--animation-timing) var(--cubic-bezier); }
    @media (any-hover: hover) {
      .product-card__name:hover {
        color: var(--accent-light-secondary); } }
    .product-card__name::before {
      content: "";
      position: absolute;
      top: -0rem;
      left: -0rem;
      width: calc(100% + 0rem * 2);
      height: calc(100% + 0rem * 2);
      background-color: transparent;
      opacity: 0; }
      @media screen and (min-width: 160.0625rem) {
        .product-card__name::before {
          top: 0vw;
          left: 0vw;
          width: calc(100% + 0vw * 2);
          height: calc(100% + 0vw * 2); } }
  .product-card__characteristics {
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 0.625rem;
    padding: 0.625rem 0; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__characteristics {
        gap: 0.39062vw;
        padding: 0.39062vw 0; } }
    @media screen and (max-width: 85rem) {
      .product-card__characteristics {
        padding: 0.5rem 0; } }
    .product-card__characteristics table {
      width: 100%;
      border-collapse: collapse; }
    .product-card__characteristics tbody {
      width: 100%; }
    .product-card__characteristics tr {
      width: 100%; }
      .product-card__characteristics tr:first-child td {
        padding-top: 0; }
    .product-card__characteristics td {
      padding: 0.625rem 0;
      color: var(--text-dark-primary);
      font: var(--font-body-S);
      border-bottom: solid 1px var(--stroke-light-primary); }
      @media screen and (min-width: 160.0625rem) {
        .product-card__characteristics td {
          padding: 0.39062vw 0;
          border-bottom-width: 0.03906vw; } }
      @media screen and (max-width: 106.25rem) {
        .product-card__characteristics td {
          padding: 0.625rem 0; } }
      @media screen and (max-width: 85rem) {
        .product-card__characteristics td {
          padding: 0.5rem 0; } }
      .product-card__characteristics td:first-child {
        color: var(--text-dark-secondary); }
        .product-card__characteristics td:first-child::after {
          content: ":"; }
      .product-card__characteristics td:last-child {
        text-align: end; }
  .product-card__description {
    color: var(--text-dark-secondary);
    font: var(--font-body-xs); }
  .product-card__priceWrap {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    width: 100%;
    height: 3.9375rem; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__priceWrap {
        height: 2.46094vw; } }
    @media screen and (min-width: 137.5625rem) {
      .product-card__priceWrap {
        height: 3.9375rem; } }
    @media screen and (max-width: 106.25rem) {
      .product-card__priceWrap {
        height: 3.375rem; } }
    @media screen and (max-width: 85rem) {
      .product-card__priceWrap {
        height: 3rem; } }
  .product-card__footer {
    margin-top: auto;
    width: 100%;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    gap: 0.625rem; }
    .product-card__footer .checkout-block__form {
      width: 100%; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__footer {
        gap: 0.78125vw; } }
  .product-card__price {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: flex-start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: flex-start;
    gap: 0;
    -webkit-transition: opacity calc(var(--animation-timing) / 2) var(--cubic-bezier) var(--animation-timing);
    transition: opacity calc(var(--animation-timing) / 2) var(--cubic-bezier) var(--animation-timing); }
    .product-card__price .price__sum {
      font: var(--font-body-L);
      font-weight: 400; }
    .product-card__price .price__old {
      font: 400 1.125rem/150% var(--font-primary); }
      @media screen and (min-width: 160.0625rem) {
        .product-card__price .price__old {
          font: 400 0.70312vw/150% var(--font-primary); } }
      @media screen and (max-width: 106.25rem) {
        .product-card__price .price__old {
          font: 400 1rem/150% var(--font-primary); } }
      @media screen and (max-width: 85rem) {
        .product-card__price .price__old {
          font: 400 0.875rem/150% var(--font-primary); } }
  .product-card__button {
    position: relative;
    z-index: 1;
    -ms-flex-negative: 0;
        flex-shrink: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: end;
        -ms-flex-pack: end;
            justify-content: flex-end;
    gap: 0.625rem;
    pointer-events: none; }
    @media screen and (min-width: 160.0625rem) {
      .product-card__button {
        grid-area: 0.39062vw; } }
    @media (any-hover: hover) {
      @container product-card (max-width: 22.8125rem) {
        .product-card__button:hover ~ .product-card__price {
          opacity: 0;
          -webkit-transition: opacity calc(var(--animation-timing) / 2) var(--cubic-bezier);
          transition: opacity calc(var(--animation-timing) / 2) var(--cubic-bezier); } }
      @supports not (container-type: inline-size) {
        @media screen and (max-width: 100rem) {
          .product-card__button:hover ~ .product-card__price {
            opacity: 0;
            -webkit-transition: opacity calc(var(--animation-timing) / 2) var(--cubic-bezier);
            transition: opacity calc(var(--animation-timing) / 2) var(--cubic-bezier); } } } }
    .product-card__button .button-product {
      pointer-events: all; }
  @media screen and (max-width: 106.25rem) {
    .product-card .availability__icon {
      width: 1rem;
      height: 1rem; } }
  @media screen and (max-width: 85rem) {
    .product-card .availability__icon {
      width: 0.75rem;
      height: 0.75rem; } }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
